%global upstreamname debian-archive-keyring

Name:           debian-keyring
Version:        2023.4
Release:    1%{?dist}
Summary:        GnuPG archive keys of the Debian archive

License:        LicenseRef-Fedora-Public-Domain
URL:            http://packages.debian.org/unstable/admin/%{upstreamname}
Source0:        http://ftp.debian.org/debian/pool/main/d/%{upstreamname}/%{upstreamname}_%{version}.tar.xz
Patch0:         debian-keyring_gpg2.patch

BuildArch:      noarch
BuildRequires:  jetring
BuildRequires:  gnupg2
BuildRequires:  make
BuildRequires:  keyrings-filesystem
Requires:       keyrings-filesystem

%description
The Debian project digitally signs its Release files. This package contains the
archive keys used for that.

%prep
%autosetup -p1 -n %{upstreamname}


%build
make


%install
%make_install


%files
%doc README
%exclude %{_sysconfdir}/apt/trusted.gpg.d
%{_keyringsdir}/*.gpg


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2023.4-1
- initial build
